#pragma once


// Others
#include <RobotAPI/libraries/armem_robot_state/client/common/VirtualRobotWriter.h>

namespace armarx::skills::mixin
{
    struct RobotWritingSkillMixin
    {
        armem::robot_state::VirtualRobotWriter robotWriter;

        RobotWritingSkillMixin(armem::client::MemoryNameSystem& mns) :
            robotWriter(mns)
        {}
    };

    struct SpecificRobotWritingSkillMixin
    {
        std::string robotName;
        armem::robot_state::VirtualRobotWriter robotWriter;

        SpecificRobotWritingSkillMixin(const std::string& rn, armem::client::MemoryNameSystem& mns) :
            robotName(rn),
            robotWriter(mns)
        {}
    };
}
