#pragma once


// Others
#include <RobotAPI/libraries/armem_grasping/client/KnownGraspCandidateReader.h>

namespace armarx::skills::mixin
{
    struct GraspReadingSkillMixin
    {
        armem::grasping::known_grasps::Reader graspReader;

        GraspReadingSkillMixin(const armem::grasping::known_grasps::Reader& r) : graspReader(r)
        {

        }
    };

    struct SpecificGraspReadingSkillMixin
    {
        std::string objectEntityId;
        armem::grasping::known_grasps::Reader graspReader;

        SpecificGraspReadingSkillMixin(const std::string& n, const armem::grasping::known_grasps::Reader& r) : objectEntityId(n), graspReader(r)
        {}
    };
}
